Bug 1013403 - Include TXT file with folder structure
Include TXT file with folder structure
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virtio-win (Show other bugs)
6.5
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Vadim Rozenfeld
Virtualization Bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-29 19:20 EDT by Andrew Cathrow
Modified: 2014-09-07 18:56 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-30 08:01:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Cathrow 2013-09-29 19:20:50 EDT
We follow Microsoft's folder convention for the virtio-win driver directories but this isn't exactly intuative - eg. WNET for 2003, WLH 2008.

We should add a README text file including the folder mappings to make this clear to users. Eg Windows 2003 -> ./foo Win2k8 -> ./bar
Comment 2 Mike Cao 2013-09-29 22:11:51 EDT
(In reply to Andrew Cathrow from comment #0)
> We follow Microsoft's folder convention for the virtio-win driver
> directories but this isn't exactly intuative - eg. WNET for 2003, WLH 2008.
> 
> We should add a README text file including the folder mappings to make this
> clear to users. Eg Windows 2003 -> ./foo Win2k8 -> ./bar

Hello ,Andrew

Which build do you referring to ? I don't think virtio-win pakckage has folder named Wnet &WLK
Comment 3 Vadim Rozenfeld 2013-09-30 03:45:36 EDT
it must be about iso layout.
Will be added in new build.
Comment 4 Mike Cao 2013-09-30 04:30:13 EDT
(In reply to Vadim Rozenfeld from comment #3)
> it must be about iso layout.
> Will be added in new build.

You mean virtio-win-prwehql build instead of virtio-win build ,right ? But we did not ship virtio-win-prewhql build to customers 

Mike
Comment 5 Vadim Rozenfeld 2013-10-01 04:13:26 EDT
(In reply to Mike Cao from comment #4)
> (In reply to Vadim Rozenfeld from comment #3)
> > it must be about iso layout.
> > Will be added in new build.
> 
> You mean virtio-win-prwehql build instead of virtio-win build ,right ? But
> we did not ship virtio-win-prewhql build to customers 
> 
> Mike

Hi Mike,
Could you please post current virtio-win layout? I just cannot find 
any official rpm around.

Thanks,
Vadim.
Comment 8 Ronen Hod 2013-10-30 08:01:57 EDT
Actually, we follow MSFT's conventions in the source code that we will not bother to change for now. The output is fine, so I am closing this bug.
See the VFD (/ISO) structure. It is intuitive.

130   22 -rwxr-xr-x   1 root     root        22016 Oct 29  2013 amd64_vfd/amd64/Win8/readme.doc
   131  106 -rwxr-xr-x   1 root     root       106696 Oct 29  2013 amd64_vfd/amd64/Win8/netkvm.sys
   132   16 -rwxr-xr-x   1 root     root        15914 Oct 29  2013 amd64_vfd/amd64/Win8/netkvm.inf
   133  630 -rwxr-xr-x   1 root     root       643880 Oct 29  2013 amd64_vfd/amd64/Win8/netkvmco.dll
   134   12 -rwxr-xr-x   1 root     root        10510 Oct 29  2013 amd64_vfd/amd64/Win8/netkvm.cat
   135   12 -rwxr-xr-x   1 root     root        10880 Oct 29  2013 amd64_vfd/amd64/Win8/vioscsi.cat
   136    4 -rwxr-xr-x   1 root     root         2662 Oct 29  2013 amd64_vfd/amd64/Win8/vioscsi.inf
   137   24 -rwxr-xr-x   1 root     root        24176 Oct 29  2013 amd64_vfd/amd64/Win8/vioscsi.sys
   138   12 -rwxr-xr-x   1 root     root        10514 Oct 29  2013 amd64_vfd/amd64/Win8/viostor.cat
   139    4 -rwxr-xr-x   1 root     root         2490 Oct 29  2013 amd64_vfd/amd64/Win8/viostor.inf
   140   30 -rwxr-xr-x   1 root     root        29384 Oct 29  2013 amd64_vfd/amd64/Win8/viostor.sys
   148   86 -rwxr-xr-x   1 root     root        87664 Oct 29  2013 amd64_vfd/amd64/Win2003/netkvm.sys
   149   14 -rwxr-xr-x   1 root     root        13878 Oct 29  2013 amd64_vfd/amd64/Win2003/netkvm.inf
   150    8 -rwxr-xr-x   1 root     root         7627 Oct 29  2013 amd64_vfd/amd64/Win2003/netkvm.cat
   151   10 -rwxr-xr-x   1 root     root         8589 Oct 29  2013 amd64_vfd/amd64/Win2003/viostor.cat
   152    4 -rwxr-xr-x   1 root     root         2098 Oct 29  2013 amd64_vfd/amd64/Win2003/viostor.inf
   153   26 -rwxr-xr-x   1 root     root        24688 Oct 29  2013 amd64_vfd/amd64/Win2003/viostor.sys
   166   10 -rwxr-xr-x   1 root     root         8657 Oct 29  2013 amd64_vfd/amd64/Win2008/vioscsi.cat
   167    4 -rwxr-xr-x   1 root     root         2661 Oct 29  2013 amd64_vfd/amd64/Win2008/vioscsi.inf
   168   24 -rwxr-xr-x   1 root     root        22640 Oct 29  2013 amd64_vfd/amd64/Win2008/vioscsi.sys
   169   22 -rwxr-xr-x   1 root     root        22016 Oct 29  2013 amd64_vfd/amd64/Win2008/readme.doc
   170  100 -rwxr-xr-x   1 root     root       101064 Oct 29  2013 amd64_vfd/amd64/Win2008/netkvm.sys
   171   16 -rwxr-xr-x   1 root     root        15039 Oct 29  2013 amd64_vfd/amd64/Win2008/netkvm.inf
   172  630 -rwxr-xr-x   1 root     root       643880 Oct 29  2013 amd64_vfd/amd64/Win2008/netkvmco.dll
   173   10 -rwxr-xr-x   1 root     root         8206 Oct 29  2013 amd64_vfd/amd64/Win2008/netkvm.cat
   174   10 -rwxr-xr-x   1 root     root         8594 Oct 29  2013 amd64_vfd/amd64/Win2008/viostor.cat
   175    4 -rwxr-xr-x   1 root     root         2491 Oct 29  2013 amd64_vfd/amd64/Win2008/viostor.inf
   176   28 -rwxr-xr-x   1 root     root        26824 Oct 29  2013 amd64_vfd/amd64/Win2008/viostor.sys
   189   22 -rwxr-xr-x   1 root     root        22016 Oct 29  2013 amd64_vfd/amd64/Win2012/readme.doc
   190  106 -rwxr-xr-x   1 root     root       106696 Oct 29  2013 amd64_vfd/amd64/Win2012/netkvm.sys
   191   16 -rwxr-xr-x   1 root     root        15914 Oct 29  2013 amd64_vfd/amd64/Win2012/netkvm.inf
   192  630 -rwxr-xr-x   1 root     root       643880 Oct 29  2013 amd64_vfd/amd64/Win2012/netkvmco.dll
   193   12 -rwxr-xr-x   1 root     root        10510 Oct 29  2013 amd64_vfd/amd64/Win2012/netkvm.cat
   194   12 -rwxr-xr-x   1 root     root        10514 Oct 29  2013 amd64_vfd/amd64/Win2012/viostor.cat
   195    4 -rwxr-xr-x   1 root     root         2490 Oct 29  2013 amd64_vfd/amd64/Win2012/viostor.inf
   196   30 -rwxr-xr-x   1 root     root        29384 Oct 29  2013 amd64_vfd/amd64/Win2012/viostor.sys
   197   12 -rwxr-xr-x   1 root     root        10880 Oct 29  2013 amd64_vfd/amd64/Win2012/vioscsi.cat
   198    4 -rwxr-xr-x   1 root     root         2662 Oct 29  2013 amd64_vfd/amd64/Win2012/vioscsi.inf
   199   24 -rwxr-xr-x   1 root     root        24176 Oct 29  2013 amd64_vfd/amd64/Win2012/vioscsi.sys
   216   22 -rwxr-xr-x   1 root     root        22016 Oct 29  2013 amd64_vfd/amd64/Win7/readme.doc
   217  106 -rwxr-xr-x   1 root     root       106696 Oct 29  2013 amd64_vfd/amd64/Win7/netkvm.sys
   218   16 -rwxr-xr-x   1 root     root        15914 Oct 29  2013 amd64_vfd/amd64/Win7/netkvm.inf
   219  630 -rwxr-xr-x   1 root     root       643880 Oct 29  2013 amd64_vfd/amd64/Win7/netkvmco.dll
   220   10 -rwxr-xr-x   1 root     root         8734 Oct 29  2013 amd64_vfd/amd64/Win7/netkvm.cat
   221   10 -rwxr-xr-x   1 root     root         8591 Oct 29  2013 amd64_vfd/amd64/Win7/qxl.cat
   222    4 -rwxr-xr-x   1 root     root         2299 Oct 29  2013 amd64_vfd/amd64/Win7/qxl.inf
   223   18 -rwxr-xr-x   1 root     root        17704 Oct 29  2013 amd64_vfd/amd64/Win7/qxl.sys
   224  138 -rwxr-xr-x   1 root     root       141096 Oct 29  2013 amd64_vfd/amd64/Win7/qxldd.dll
   225   10 -rwxr-xr-x   1 root     root         8610 Oct 29  2013 amd64_vfd/amd64/Win7/viostor.cat
   226    4 -rwxr-xr-x   1 root     root         2491 Oct 29  2013 amd64_vfd/amd64/Win7/viostor.inf
   227   28 -rwxr-xr-x   1 root     root        26824 Oct 29  2013 amd64_vfd/amd64/Win7/viostor.sys
   228   10 -rwxr-xr-x   1 root     root         8657 Oct 29  2013 amd64_vfd/amd64/Win7/vioscsi.cat
   229    4 -rwxr-xr-x   1 root     root         2661 Oct 29  2013 amd64_vfd/amd64/Win7/vioscsi.inf
   230   24 -rwxr-xr-x   1 root     root        22640 Oct 29  2013 amd64_vfd/amd64/Win7/vioscsi.sys
   240   10 -rwxr-xr-x   1 root     root         8610 Oct 29  2013 amd64_vfd/amd64/Win2008R2/viostor.cat
   241    4 -rwxr-xr-x   1 root     root         2491 Oct 29  2013 amd64_vfd/amd64/Win2008R2/viostor.inf
   242   28 -rwxr-xr-x   1 root     root        26824 Oct 29  2013 amd64_vfd/amd64/Win2008R2/viostor.sys
   243   22 -rwxr-xr-x   1 root     root        22016 Oct 29  2013 amd64_vfd/amd64/Win2008R2/readme.doc
   244  106 -rwxr-xr-x   1 root     root       106696 Oct 29  2013 amd64_vfd/amd64/Win2008R2/netkvm.sys
   245   16 -rwxr-xr-x   1 root     root        15914 Oct 29  2013 amd64_vfd/amd64/Win2008R2/netkvm.inf
   246  630 -rwxr-xr-x   1 root     root       643880 Oct 29  2013 amd64_vfd/amd64/Win2008R2/netkvmco.dll
   247   10 -rwxr-xr-x   1 root     root         8734 Oct 29  2013 amd64_vfd/amd64/Win2008R2/netkvm.cat
   248    2 -rwxr-xr-x   1 root     root          420 Oct 29  2013 amd64_vfd/txtsetup.oem
   249    0 -rwxr-xr-x   1 root     root            0 Feb  6  2013 amd64_vfd/disk1

Note You need to log in before you can comment on or make changes to this bug.